.TH ZPM "User's Manual" "Jan 1, 2009" "GNU/Linux"

.SH "NAME"
ZPM \- An easy to use, but powerful command line version of Zendo

.SH "SYNOPSIS"
ZPM 
.B (Zendo Package Manager)
.PP
.B zpm
[-h] [--help] [-i] [--install] [-r] [--remove] [-e] [--erase-with-deps] [-a] [--autodeps] [-l] [--list] [-q] [--query] [-m] [--mirror] [-d] [--details] [-v] [--verbose] [-n] [--no-install] [-u] [--upgrade] [-U] [--upgrade-all] [-w] [--what-provides] [-c] [--clean-cache] [-C] [--clear-cache] [--dotnew]

.SH "DESCRIPTION"
.PP
.B ZPM
is run from the command line as root only!  It can be used to grab binaries from a Zenwalk/Slackware mirror to install or just download.  If the [--autodeps] option is used, it will also get all dependencies required.  ZPM can be used to install & remove files from your system, even from your own local drives.  ZPM is not meant to replace the commands you presently can use, like; installpkg, removepkg, upgradepkg, etc., but to give you a single command in which to do those things easier by only using one of ZPM's options.  This should make it easier and less frightening to use the command line for new users as well as adminstrators.  For those people coming from a distro that uses RPM binaries, you may see some similarities to the command line use of RPM.  That is intentional, to help make your transition to Zenwalk easier.

.br
.B ZPM now also supports .tlz, .tbz & .txz file format.  
.br
 Created using LZMA, which compresses files to nearly half their size, 
 this format is sure to be a big hit when compressing files for the ISO.  
 Dropping an ISO size from 600mb to only about 300mb will be a big plus 
 in allowing more packages to be included.  Normally twice as fast compressing
 and uncompressing files, installs, no matter if one file or an ISO, will take 
 less time as well.  The new pkgtools & 'xz' perform the new duties in the background.

.SH "OPTIONS"
.PP
.I EXAMPLE:
.br
.B zpm
[options] [Package Name/s]
.br
.I (to get multiple files, separate each with a space)

To download and install from a mirror, just run:  zpm [package name/s]
.br
.I [ex:  zpm game1 game2 program1 program2]  [zpm -C package1 package2 package3]
.br
.B The -C option can be used here to cause any downloaded files to be removed after installation.

.SH Available Options:
.PP
.B \-\-help, \-h   
 Display the help screen

.B \-\-install, \-i [package name/s] 
 Install package(s) from local storage (hard drive, USB, CD)

.B \-\-remove, \-r [package name/s]
 Remove previously installed package(s)

.B \-\-erase-with-deps, \-e [pkg/s]
 Remove/erase packages & unused dependencies/orphans from your system

.B \-\-autodeps, \-a
 Automatically locate & install all dependencies without asking.
.br 
.I [only use this option if you don't want to interact with dependent selections]

.B \-\-list, \-l [filter] 
 List all the installed and mirror packages
.br
.I --Example of list with a filter:  zpm -lu --this would list all
 ( upgrades [Blue] & downgrades
.B [Red]
)
.SS LIST FILTERS AVAILABLE
.B a>
[All]
.B n>
[Not installed]
.B i>
[Installed]
.B u>
[Updates]
.B m>
[Packages on the mirror]

.B \-\-query, \-q  [package name/s]
 Search for both mirror packages and installed packages
 You can search for one or several files at once, just 
 separate each with a space

.B \-\-mirror, \-m
 Select/reload a mirror

.B \-\-details, \-d [package name]
 View the information/description for multiple packages (separate each with a space)
.br
.I [ex:  zpm -d package1 package2 etc]

.B \-\-verbose, \-v
 Show additional information during some tasks
 Want to see the Slackdesc or download stats?  Use the [-v]

.B \-\-no-install, \-n
 Will only download files without installing

.B \-\-upgrade, \-u
 Upgrade installed packages/system to the newest versions  
 (Same as dist-upgrade using apt-get or slapt-get)

.B \-\-upgrade-all, \-U 
 Upgrade 
.I AND 
Downgrade all packages with different versions

.B \-\-what-provides, \-w [file name]
 Use this to locate the program requested files belong too
.br
.I zpm -w [filename] 
\-\-\- 
.B zpm -w libexa.la  
.PP
 Use this command to get a list of files in the package
.br
.I zpm -w [program name] 
\-\-\- 
.B zpm -w geany 
.PP
.B \-\-clean-cache, \-c
 This option removes only older files from cache, leaving the latest downloads
.P P
.B \-\-clear-cache, \-C
 Using this option by itself clears the cache of 
.B ALL 
files, everything is deleted 
.br
.B or 
if used with package install from a mirror 
.br
.B or 
one of the -u or -U options will remove only downloaded packages after install
.PP
.B \-\-dotnew
 This option forces a check for any new configuration files [.new]

.SH "AUTHOR"

.B Nigel Bosch, 
.I [sparky]  
<sparkynigel@gmail.com>  
.B Web:    
http://zendo.naquadah.org
.PP
See 
.I COPYING
for license information

.SS "ADDITIONAL HELP"
Thanks, for manual & late night brainstorming sessions:

.B Patrick Smith, 
.I [BandiPat]  
<magicpage91@earthlink.net>

.SS "CONTACT INFO"
Send bug reports and comments to 
.B sparkynigel@gmail.com

You can use the Zenwalk Forum for help or contact either Sparky or BandiPat
via email

.B IRC Info:

.I Server:  
irc.webchat.org

.I Channel:  
#zendo

.SH "ADDITIONAL COMMENTS"
.B From Sparky & BandiPat

We do hope that both Zendo & ZPM will become a regular part of your Zenwalk or Slackware experience.  The programs are built to enhance your abilities in package management.  We've attempted to make it easier and safer to manage your packages in all aspects; installing, upgrading or removing.  If there is a feature you might like to see added or changed in the way it works, please contact us, so we might consider it.  We've tried to make both programs as user friendly as possible.  ZPM will become a dependency of Zendo, so that when you install Zendo, ZPM is also installed, but since ZPM is a command line only program, you will be able to install it as a standalone without Zendo.  This is to provide non-GUI users, Administrators of servers, a method to manage packages easily.

Thanks for using Zendo and ZPM!  
.B Sparky & BandiPat
